"""cPanel API functions"""
from ._errors import CpAPIError, CpAPIErrorMsg, CpAPIExecFail, CpAPIDeprecation

from ._whmapi0 import Whmapi0
from ._whmapi1 import Whmapi1
from ._uapi import Uapi
from ._cpapi1 import Cpapi1
from ._cpapi2 import Cpapi2
from ._cpapi3 import Cpapi3

# these have __call__() to behave like normal functions
whmapi0 = Whmapi0()
whmapi1 = Whmapi1()
uapi = Uapi()
cpapi1 = Cpapi1()
cpapi2 = Cpapi2()
cpapi3 = Cpapi3()
